﻿/**/

/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    padding-bottom: 20px;
    /*-webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;*/
}

.input-required {
    background-color: lightyellow !important;
}

.img-loading {
    height: 128px;
}

.valign-middle {
    display: inline-block;
    vertical-align: middle;
    float: none;
}

.modal-dialog-bkg {
    background-color: rgba(0,0,0,0.5);
}

.text-hint {
    font-size: 12px;
    font-style: italic;
}

.label-center {
    text-align: center !important;
}

.block {
    display: block;
}

.row-table {
    display: block;
}

    .row-table [class^="col-"],
    .row-table [class*=" col-"] {
        display: block;
        /*align-items: center;*/
    }

.search-control{
    font-family: 'Lucida Console';
}

.control-div {
    margin: 8px 0;
}

    .control-div ul {
        display: inline-block;
        margin: 0;
        vertical-align: middle;
    }

.control-list {
}

    .control-list li input {
        vertical-align: middle;
        margin: 0 !important;
        padding: 0 !important;
    }

    .control-list li label {
        vertical-align: middle;
        padding-left: 8px !important;
        padding-top: 0 !important;
        padding-right: 0 !important;
        padding-bottom: 0 !important;
        margin: 0 !important;
        cursor: pointer;
    }

.img-large {
    height: 256px;
}

.img-medium {
    height: 128px;
}

.img-small {
    height: 64px;
}

.img-icon-large {
    height: 48px;
}

.img-icon-medium {
    height: 24px;
}

.img-icon-small {
    height: 16px;
}

.info-link {
    /*content: 'maggiorni informazioni';*/
    cursor: help;
}


.text-xs-left {
    text-align: left;
}

.text-xs-right {
    text-align: right;
}

.text-xs-center {
    text-align: center;
}

.text-xs-justify {
    text-align: justify;
}

/* Responsive: Portrait tablets and up 
   Bootstrap: col-sm */
@media screen and (min-width: 768px) {

    body {
        padding-top: 100px;
    }

    .text-sm-left {
        text-align: left;
    }

    .text-sm-right {
        text-align: right;
    }

    .text-sm-center {
        text-align: center;
    }

    .text-sm-justify {
        text-align: justify;
    }

    .row-table {
        display: table;
        height: 100%;
    }

        .row-table [class^="col-"],
        .row-table [class*="col-"] {
            display: table-cell;
            vertical-align: middle;
            float: none;
        }
}


/* Responsive: Portrait tablets and up 
   Bootstrap: col-md */
@media screen and (min-width: 992px) {

    .text-md-left {
        text-align: left;
    }

    .text-md-right {
        text-align: right;
    }

    .text-md-center {
        text-align: center;
    }

    .text-md-justify {
        text-align: justify;
    }

    .table-div-md-left {
        margin: 0 auto 0 -4px;
    }
}

@media screen and (min-width: 1200px) {

    .text-lg-left {
        text-align: left;
    }

    .text-lg-right {
        text-align: right;
    }

    .text-lg-center {
        text-align: center;
    }

    .text-lg-justify {
        text-align: justify;
    }
}
